package de.unikoblenz.fgbks.dmn.frontend;

import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.container.ContainerRequestContext;
import javax.ws.rs.container.ContainerRequestFilter;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.UriInfo;
import javax.ws.rs.ext.Provider;

@Provider
public class HttpFilter implements ContainerRequestFilter {

  @Context
  UriInfo info;
  @Context
  HttpServletRequest request;

  @Override
  public void filter(ContainerRequestContext context) {
    final String method = context.getMethod();
    final String path = info.getPath();
    final String address = request.getRemoteAddr();
    System.out.format("Request %s %s from IP %s %n + x", method, path, address);
  }
}
